{pkgs, ...}: {
  imports = [
    ./services/openssh.nix
    ./services/forgejo.nix
    ./services/vaultwarden.nix
    ./services/jellyfin.nix
    # ./services/mailserver.nix
    ./services/misc.nix

    ./modules/git.nix
    ./modules/nix-settings.nix
    ./modules/zfs.nix

    (import ./modules/networking.nix {hostname = "server";})
    (import ./modules/users.nix {main-user = "baritone";})
  ];

  boot.loader = {
    systemd-boot.enable = true;
    efi.canTouchEfiVariables = true;
    timeout = 0;
  };

  # Enable microcode updates
  hardware.enableRedistributableFirmware = true;

  programs.zsh = {
    enable = true;
    enableGlobalCompInit = true;
  };

  programs.ssh.startAgent = true;
  programs.nano.enable = false;

  environment.systemPackages = with pkgs; [
    wget
    curl
    git
    vim
  ];

  environment.variables = {
    EDITOR = "vim"; # FUCK NANO
  };

  time.timeZone = "Europe/Copenhagen";

  security.sudo = {
    enable = true;
    # I know what im doing
    extraConfig = ''
      Defaults  lecture = never
    '';
  };

  programs.mtr.enable = true;
  programs.gnupg.agent.enable = true;

  system.stateVersion = "24.11";
}
