{main-user ? throw "No main user"}: {
  pkgs,
  inputs,
  ...
}: {
  home-manager = {
    extraSpecialArgs = {inherit inputs;};
    users = {
      ${main-user} = import ../home.nix {username = main-user;};
    };
  };

  users.users.${main-user} = {
    isNormalUser = true;
    hashedPassword = import ../password.nix;
    extraGroups = [
      "networkmanager"
      "audio"
      "wheel"
    ];
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIFhTExbc9m4dCK6676wGiA8zPjE0l/9Fz2yf0IKvUvg snorre@archlinux"
    ];

    shell = pkgs.zsh;
  };

  users.users."nixos" = {
    isNormalUser = true;
    extraGroups = ["wheel"];
    openssh.authorizedKeys.keys = [
      "ssh-ed25519 AAAAC3NzaC1lZDI1NTE5AAAAIIFhTExbc9m4dCK6676wGiA8zPjE0l/9Fz2yf0IKvUvg snorre@archlinux"
    ];
  };
}
